GNU bug report logs - #45800
27.1; ibuffer sort by filename/process fails with Dired

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Fabrice BAUZAC-STEHLY <noon@HIDDEN>; Keywords: fixed patch; Done: "Basil L. Contovounesios" <contovob@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 45800-done <at> debbugs.gnu.org:


Received: (at 45800-done) by debbugs.gnu.org; 20 Jan 2021 14:21:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 20 09:21:32 2021
Received: from localhost ([127.0.0.1]:53296 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l2EMV-0003lV-Og
	for submit <at> debbugs.gnu.org; Wed, 20 Jan 2021 09:21:31 -0500
Received: from mail-wm1-f49.google.com ([209.85.128.49]:38427)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <contovob@HIDDEN>) id 1l2EMS-0003l5-2H
 for 45800-done <at> debbugs.gnu.org; Wed, 20 Jan 2021 09:21:28 -0500
Received: by mail-wm1-f49.google.com with SMTP id y187so2994317wmd.3
 for <45800-done <at> debbugs.gnu.org>; Wed, 20 Jan 2021 06:21:28 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=tcd-ie.20150623.gappssmtp.com; s=20150623;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=oVs11x95uz1RRNN5ku3ITtHJOPw91x/EN6Xd00dO6uE=;
 b=o/D/si8UVyhWaBnFb0bwcIJ4HbqtvrnLBtc2Y007yud8EgiNKai2o0THfPcFfTUkNh
 vEbEB5uFom1o9YukQ1UoR8TSwN0DLpPcWHpIaZj3IZWz1VNXOb0rzzcDD9+pl+/9z05n
 K9qUs0q1PQTtQgaFwICrYFgxEd3c7TpLdvbP8Hs9c1jHMrnUSIHbpL2wWH6jRB+5Bbs/
 UQ9egsOCLGjdomMsvj62tr8b9XJFP0FntIbikYqCHIsjQShGvzNmC5B00dM6nFTIQxLo
 AoQcUrpHco0QTRtF6pIUlJvFlhrxTW5JATkkXuKsjpi7atix3hfoz73IBt6WqEyYez2G
 h5aw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=oVs11x95uz1RRNN5ku3ITtHJOPw91x/EN6Xd00dO6uE=;
 b=KKUSVSU1of9mnfDZa4CVrHR0C2DwrWX1cbyfOfrMmRN5IeByzf6eXecYVa6Hc2y0qn
 7mtWTTnYIwjV8dCSJk1eTol+Z3XI0SP9PzrCGYBe/naFd5Tuj9ydbcatQMUTzHy/FYpo
 YvvNWTaWqTdhzzOpI5cTZyZBuLQ00KdHOQuPEeFSMD0pH2bA9rbeyvWvvOh+II5jFtMS
 xLtzeKWygoILpEaX1EiOmPKxCqqUFRHj6XEGXcPth/79EHq0DAV8kZCekkBXxXPnP3b7
 /GiTYpeFfBaSB4PrBBgkL30OSrwViWQdxh8IuH0hWVk8MVVXTKtYowDC9AJt/niRkxIj
 5jpg==
X-Gm-Message-State: AOAM530p8ncIN6KUcrOqybFJnqHITSlypX7/2K1nchu18hDBjNpZVCrl
 H49LoFMUYsJCkaaihOLA4yXJMA==
X-Google-Smtp-Source: ABdhPJya5tPXiSaZReFHGTuJRtlLL66RQZakIjG0t7rTMd9wXBLTRo0aiDEwKUOnoOmV6QROq7KBqA==
X-Received: by 2002:a1c:7906:: with SMTP id l6mr4615337wme.22.1611152479331;
 Wed, 20 Jan 2021 06:21:19 -0800 (PST)
Received: from localhost ([2a02:8084:20e2:c380:f410:82e8:3a21:eedf])
 by smtp.gmail.com with ESMTPSA id w1sm4139140wrr.84.2021.01.20.06.21.18
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 20 Jan 2021 06:21:18 -0800 (PST)
From: "Basil L. Contovounesios" <contovob@HIDDEN>
To: Fabrice BAUZAC-STEHLY <noon@HIDDEN>
Subject: Re: bug#45800: 27.1; ibuffer sort by filename/process fails with Dired
References: <87wnwjfdht.fsf@HIDDEN> <874kjf1t3d.fsf@HIDDEN>
 <8735ywbobh.fsf@HIDDEN>
Date: Wed, 20 Jan 2021 14:21:17 +0000
In-Reply-To: <8735ywbobh.fsf@HIDDEN> (Fabrice BAUZAC-STEHLY's message of
 "Tue, 19 Jan 2021 22:37:38 +0100")
Message-ID: <87mtx3it9e.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 45800-done
Cc: 45800-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

tags 45800 fixed patch
close 45800 28.1
quit

Fabrice BAUZAC-STEHLY <noon@HIDDEN> writes:

> Here is the patch, hopefully in the correct format.

Thanks, pushed to master with just a couple of minor tweaks to the
change log.

Sort Ibuffer filename/process column as displayed
849fe71de7 2021-01-20 14:10:09 +0000
https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=849fe71de7b041c21cb776c7428c39e0ce67df14

-- 
Basil




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45800; Package emacs. Full text available.
bug marked as fixed in version 28.1, send any further explanations to 45800 <at> debbugs.gnu.org and Fabrice BAUZAC-STEHLY <noon@HIDDEN> Request was from "Basil L. Contovounesios" <contovob@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) patch and fixed. Request was from "Basil L. Contovounesios" <contovob@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 45800 <at> debbugs.gnu.org:


Received: (at 45800) by debbugs.gnu.org; 19 Jan 2021 21:37:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 19 16:37:49 2021
Received: from localhost ([127.0.0.1]:51958 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l1yhB-00063b-KE
	for submit <at> debbugs.gnu.org; Tue, 19 Jan 2021 16:37:49 -0500
Received: from mx.kolabnow.com ([95.128.36.41]:35710)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <noon@HIDDEN>) id 1l1yhA-00063N-6E
 for 45800 <at> debbugs.gnu.org; Tue, 19 Jan 2021 16:37:49 -0500
Received: from localhost (unknown [127.0.0.1])
 by ext-mx-out001.mykolab.com (Postfix) with ESMTP id ACC33B0B;
 Tue, 19 Jan 2021 22:37:41 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=mykolab.com; h=
 content-type:content-type:mime-version:message-id:in-reply-to
 :date:date:references:subject:subject:from:from:received
 :received:received:received; s=dkim20160331; t=1611092261; x=
 1612906662; bh=/LEXC+MSRZIHPI4ACZIq2RYD3DggNcCPcRCkVnFTJRs=; b=u
 S6DzJV3G8r/i/crX27f0M4ySacT6OTKN7kwML8TnKz4bomUXqMPwM07yjy0YZ3qF
 4blEqNg8YOTqJRbMNdZbZMZgwew11CYJOvtr25aYCSQ8dim+gVSyfPo+oSXdhe+f
 PGO06pbLXEubgHX73tJjFfdYE8Q/r8O1zTovczuUsj0GBm86shSPxljiKFW3CPg8
 pEKVpy/sUhzbV2J0+/rn8k4qoeSCH/dAqXIQdTiXBe2XrFQme/zTVhrgk00ZMcSz
 KzogxxEE7xMTKqV4UOaH1hXTzt87kdVi0eedecRHps4qjpqnM2oMyTv2G8rVEbcS
 w/kaDJf3R28ZNZLSTtqz5VHDdUIomOIs/rOg11kaHjUaL36Ay8updZ+R4u95w8gu
 nL/PBSwZyuyHmHmXNX+z2ed0+Oscuc80LqKbeoiASTv8sg3Ey1ngJ3+J3tLzGvzt
 2pL+TPnNdfskgL+6ilDNDwvNE0zjg3OI0QS2zqoysFbaARfOdKbCNQOdqPvUjrw1
 PZl96D7li/fcfIGVLkeua0aNQmsoDINO4j0kgquyK8PAApmPmS/hpomUlmaPkelL
 dR9BjBoTMHwZ2ToRSopqx/gyTZlqbfy/bUZ1+oCajmrYupn9FZLBNOp1BsU4EVMb
 mfw7MkWYLvqZSswD7JcJch8m44CmCjjeBxXmopM8fU=
X-Virus-Scanned: amavisd-new at mykolab.com
X-Spam-Flag: NO
X-Spam-Score: -1.899
X-Spam-Level: 
X-Spam-Status: No, score=-1.899 tagged_above=-10 required=5
 tests=[BAYES_00=-1.9, URIBL_BLOCKED=0.001]
 autolearn=ham autolearn_force=no
Received: from mx.kolabnow.com ([127.0.0.1])
 by localhost (ext-mx-out001.mykolab.com [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id z-LwMpIaEltf; Tue, 19 Jan 2021 22:37:41 +0100 (CET)
Received: from int-mx002.mykolab.com (unknown [10.9.13.2])
 by ext-mx-out001.mykolab.com (Postfix) with ESMTPS id F022582F;
 Tue, 19 Jan 2021 22:37:40 +0100 (CET)
Received: from ext-subm002.mykolab.com (unknown [10.9.6.2])
 by int-mx002.mykolab.com (Postfix) with ESMTPS id 8F91E270C;
 Tue, 19 Jan 2021 22:37:40 +0100 (CET)
Received: from noon by asus.home with local (Exim 4.94)
 (envelope-from <noon@HIDDEN>)
 id 1l1yh0-000CCG-V0; Tue, 19 Jan 2021 22:37:38 +0100
From: Fabrice BAUZAC-STEHLY <noon@HIDDEN>
To: "Basil L. Contovounesios" <contovob@HIDDEN>
Subject: Re: bug#45800: 27.1; ibuffer sort by filename/process fails with Dired
References: <87wnwjfdht.fsf@HIDDEN> <874kjf1t3d.fsf@HIDDEN>
Date: Tue, 19 Jan 2021 22:37:38 +0100
In-Reply-To: <874kjf1t3d.fsf@HIDDEN> (Basil L. Contovounesios's message of
 "Sun, 17 Jan 2021 15:27:50 +0000")
Message-ID: <8735ywbobh.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 45800
Cc: 45800 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

Here is the patch, hopefully in the correct format.


--=-=-=
Content-Type: text/x-diff
Content-Disposition: inline;
 filename=0001-Sort-according-to-filename-process-as-displayed.patch
Content-Description: Patch

From b8ea8fed4729297bb22416893ac6369abdb51ee1 Mon Sep 17 00:00:00 2001
From: Fabrice Bauzac <noon@HIDDEN>
Date: Mon, 18 Jan 2021 23:02:21 +0100
Subject: [PATCH] Sort according to filename/process as displayed

* ibuf-ext.el (ibuffer-do-sort-by-filename/process): use the same
function for sorting and for displaying the
filename/process (Bug#45800).
---
 lisp/ibuf-ext.el | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/lisp/ibuf-ext.el b/lisp/ibuf-ext.el
index ed5c9c0211..44574abd46 100644
--- a/lisp/ibuf-ext.el
+++ b/lisp/ibuf-ext.el
@@ -1497,10 +1497,10 @@ filename/process
   (string-lessp
    ;; FIXME: For now just compare the file name and the process name
    ;; (if it exists).  Is there a better way to do this?
-   (or (buffer-file-name (car a))
+   (or (with-current-buffer (car a) (ibuffer-buffer-file-name))
        (let ((pr-a (get-buffer-process (car a))))
 	 (and (processp pr-a) (process-name pr-a))))
-   (or (buffer-file-name (car b))
+   (or (with-current-buffer (car b) (ibuffer-buffer-file-name))
        (let ((pr-b (get-buffer-process (car b))))
 	 (and (processp pr-b) (process-name pr-b))))))
 
-- 
2.29.2


--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45800; Package emacs. Full text available.

Message received at 45800 <at> debbugs.gnu.org:


Received: (at 45800) by debbugs.gnu.org; 18 Jan 2021 22:23:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 18 17:23:42 2021
Received: from localhost ([127.0.0.1]:48635 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l1cw1-0001EE-R6
	for submit <at> debbugs.gnu.org; Mon, 18 Jan 2021 17:23:42 -0500
Received: from mx.kolabnow.com ([95.128.36.41]:12460)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <noon@HIDDEN>) id 1l1ceU-0000jo-Ld
 for 45800 <at> debbugs.gnu.org; Mon, 18 Jan 2021 17:05:35 -0500
Received: from localhost (unknown [127.0.0.1])
 by ext-mx-out001.mykolab.com (Postfix) with ESMTP id 5B971B0B;
 Mon, 18 Jan 2021 23:05:28 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=mykolab.com; h=
 content-type:content-type:mime-version:message-id:in-reply-to
 :date:date:references:subject:subject:from:from:received
 :received:received:received; s=dkim20160331; t=1611007527; x=
 1612821928; bh=GyFzkdBEkdYQ/kdWVJyqOwYo40DM/LgFV66CY3bPi/Q=; b=2
 LT5yYT16EUWaKJy+65Bbuv/Sabsd6UC1/w0D9KA5bQRJ7p4G9Fdb0+W/YSUMpSGm
 KPRpa4d+f43QPbphXTcOCwYiTE+L8jswh0uCUbwnbcDxFXlClk4jOmV08T6MQcx6
 v1jbyzzTJCtma/VeBhH47P5NC8p6d17N6MJ10unn8x9ltkT/RTgEiEPfkoQIf3iI
 AMYa7inX91Pnv1eqOhfwZAtfNBC2w94L0kgixPPr+AHf1Ap3s+orfc7HoVdafGiq
 dqIwemLeqAwPj8gr6J5hPeMqVtzGID7foekHBUlx5sm506VPDCfIjNl98oUXzOIq
 gu2mLVdYspTbjKMFERiIaZOLR7xfjxlippSmL7ZtHd3XTX3z4UawC2I86eyf7u26
 GMSBHegl4T0ZRk/7mVZ6kdsiuS6ixFxOV5PWbzCTqQ8hB9CYoDO3qFa87FVWuZpB
 kpvhmWee+o1G5FgiSFprKHVWTk0nXQlpMrFqh6nofpG8rKthbYgAtKfaKiNfOJqt
 8YxblCpUth4EFe+bGfz59XiGpG4jiAFj8VKOu7DiosWRvKvdOseGEcI2L/5TDvbf
 QtUQ34so8EQUDMI96jCa0C7dLbJ7ixg5D9q4IaK4gKJ1Lg/siy5yLmRpmKucxx3a
 WAoRogX9VmPQi5dtpI5pA4kXdoOQ6Iw57FgzcE8tLc=
X-Virus-Scanned: amavisd-new at mykolab.com
X-Spam-Flag: NO
X-Spam-Score: -1.9
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 tagged_above=-10 required=5
 tests=[BAYES_00=-1.9] autolearn=ham autolearn_force=no
Received: from mx.kolabnow.com ([127.0.0.1])
 by localhost (ext-mx-out001.mykolab.com [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id ehZVln71Km_I; Mon, 18 Jan 2021 23:05:27 +0100 (CET)
Received: from int-mx001.mykolab.com (unknown [10.9.13.1])
 by ext-mx-out001.mykolab.com (Postfix) with ESMTPS id DE724A51;
 Mon, 18 Jan 2021 23:05:26 +0100 (CET)
Received: from ext-subm001.mykolab.com (unknown [10.9.6.1])
 by int-mx001.mykolab.com (Postfix) with ESMTPS id 5DB5183E;
 Mon, 18 Jan 2021 23:05:26 +0100 (CET)
Received: from noon by asus.home with local (Exim 4.94)
 (envelope-from <noon@HIDDEN>)
 id 1l1ceK-0007nV-Ce; Mon, 18 Jan 2021 23:05:24 +0100
From: Fabrice BAUZAC-STEHLY <noon@HIDDEN>
To: "Basil L. Contovounesios" <contovob@HIDDEN>
Subject: Re: bug#45800: 27.1; ibuffer sort by filename/process fails with Dired
References: <87wnwjfdht.fsf@HIDDEN> <874kjf1t3d.fsf@HIDDEN>
Date: Mon, 18 Jan 2021 23:05:24 +0100
In-Reply-To: <874kjf1t3d.fsf@HIDDEN> (Basil L. Contovounesios's message of
 "Sun, 17 Jan 2021 15:27:50 +0000")
Message-ID: <87h7ndc34r.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 45800
X-Mailman-Approved-At: Mon, 18 Jan 2021 17:23:40 -0500
Cc: 45800 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

"Basil L. Contovounesios" <contovob@HIDDEN> writes:

> Fabrice BAUZAC-STEHLY <noon@HIDDEN> writes:
>
>> To fix this on my side, I have replaced both occurrences of
>>   (buffer-file-name (car X))
>> with
>>   (with-current-buffer (car X) (ibuffer-buffer-file-name))
>> which seems to work:
>
> Thanks, that looks correct.  Would you like to provide a patch against
> master to that effect?

Sure, here it is:

diff --git a/lisp/ibuf-ext.el b/lisp/ibuf-ext.el
index ed5c9c0211..44574abd46 100644
--- a/lisp/ibuf-ext.el
+++ b/lisp/ibuf-ext.el
@@ -1497,10 +1497,10 @@ filename/process
   (string-lessp
    ;; FIXME: For now just compare the file name and the process name
    ;; (if it exists).  Is there a better way to do this?
-   (or (buffer-file-name (car a))
+   (or (with-current-buffer (car a) (ibuffer-buffer-file-name))
        (let ((pr-a (get-buffer-process (car a))))
 	 (and (processp pr-a) (process-name pr-a))))
-   (or (buffer-file-name (car b))
+   (or (with-current-buffer (car b) (ibuffer-buffer-file-name))
        (let ((pr-b (get-buffer-process (car b))))
 	 (and (processp pr-b) (process-name pr-b))))))

> I think your cumulative changes would still be exempt of copyright
> paperwork, but would you be willing to start the copyright assignment
> process for future changes that exceed the limit, if you haven't
> already?

Yes, no problem for that.

-- 
Fabrice Bauzac-Stehly
PGP 01EEACF8244E9C14B551C5256ADA5F189BD322B6
old PGP 015AE9B25DCB0511D200A75DE5674DEA514C891D




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45800; Package emacs. Full text available.

Message received at 45800 <at> debbugs.gnu.org:


Received: (at 45800) by debbugs.gnu.org; 17 Jan 2021 15:28:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 17 10:28:05 2021
Received: from localhost ([127.0.0.1]:45485 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l19yG-0003Ln-RO
	for submit <at> debbugs.gnu.org; Sun, 17 Jan 2021 10:28:05 -0500
Received: from mail-wm1-f54.google.com ([209.85.128.54]:53507)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <contovob@HIDDEN>) id 1l19yB-0003LB-Da
 for 45800 <at> debbugs.gnu.org; Sun, 17 Jan 2021 10:28:03 -0500
Received: by mail-wm1-f54.google.com with SMTP id j18so403774wmi.3
 for <45800 <at> debbugs.gnu.org>; Sun, 17 Jan 2021 07:27:59 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=tcd-ie.20150623.gappssmtp.com; s=20150623;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=JHHPxUCD1JJrrr1ZmgobW930IZ+AZt5LdFHfwHhrvPs=;
 b=ZplkOBWJuZNy27qrxkjlbhD4b668yvYZKUWoI5YUpH5pt84pX1JlyBQgaV+BmKPrWP
 xnLWRcSbQUe32g4AhPRseuhFa71O/MdSfO730DQ6Of+a1ndoKiGndfR0AOm+aONX0ri+
 D/jsYZcfaRwwxI21VReIPJ58PPNY6rDs1/wLFqOXTxkzH3ZyoDBLAPDP5w1Y57CvF+9f
 gUMpJO/fzaBByFtEn0MG3Yepo7WLo0av/SnIvfBYjvWUe1EZ4QUeVnp2sbejjN/UcoB7
 hGfWC9+0IUKw5IZLMyK/zqHGsj7paQ/U7ibS8sa5tfU5szX6v7NgmAgDtak2t0xbkR2h
 T/Ag==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=JHHPxUCD1JJrrr1ZmgobW930IZ+AZt5LdFHfwHhrvPs=;
 b=hNQCkb+VL7/XZtnqUW04qcY1EcwdMYNjDnEN9H2h/sxtC1oSifWDYhSoZLX07K14b1
 enBHiwuADmONhxI7xMgCBdxyp1DovyMGUqXTl/w+3Q56Q5i/tISn9VuT0r1oZmbmddwJ
 V69c70LbR3CD1+iL/RujLmLGeAvgcEWaXb/mpLa6ajwuAAjFBbQswS/p/xpZtrmk2iy8
 WoawcZZEcyU0K3/UZ15JhRelLFj/eMT4SE88OF6ico3X6P3F55iy4AWyQCrTvBg/hRST
 PyVy4zlb9jKUwhT/yt46bJADxZBpHfO/xP3WnnYgymm0lkQiixQjgxy3MWAhCk/vFfFZ
 T3Iw==
X-Gm-Message-State: AOAM531VqwZ9fKdqdunrxPiPCzdqAjzpZ+CJMw2niptxYvcHafppV9jz
 T+ZGJUDGMZZ12pFiG2kK9j179g==
X-Google-Smtp-Source: ABdhPJzKSvu5JCsDoYwrd1mmcqe12FhD6wYP1jbSNZcGRKyetTJMeAtopof343F1KdctqWt1Ka93jw==
X-Received: by 2002:a1c:9684:: with SMTP id y126mr17476365wmd.2.1610897273648; 
 Sun, 17 Jan 2021 07:27:53 -0800 (PST)
Received: from localhost ([2a02:8084:20e2:c380:f410:82e8:3a21:eedf])
 by smtp.gmail.com with ESMTPSA id v4sm24438754wrw.42.2021.01.17.07.27.52
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 17 Jan 2021 07:27:52 -0800 (PST)
From: "Basil L. Contovounesios" <contovob@HIDDEN>
To: Fabrice BAUZAC-STEHLY <noon@HIDDEN>
Subject: Re: bug#45800: 27.1; ibuffer sort by filename/process fails with Dired
References: <87wnwjfdht.fsf@HIDDEN>
Date: Sun, 17 Jan 2021 15:27:50 +0000
In-Reply-To: <87wnwjfdht.fsf@HIDDEN> (Fabrice BAUZAC-STEHLY's message of
 "Mon, 11 Jan 2021 21:02:54 +0100")
Message-ID: <874kjf1t3d.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 45800
Cc: 45800 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Fabrice BAUZAC-STEHLY <noon@HIDDEN> writes:

> To fix this on my side, I have replaced both occurrences of
>   (buffer-file-name (car X))
> with
>   (with-current-buffer (car X) (ibuffer-buffer-file-name))
> which seems to work:

Thanks, that looks correct.  Would you like to provide a patch against
master to that effect?

I think your cumulative changes would still be exempt of copyright
paperwork, but would you be willing to start the copyright assignment
process for future changes that exceed the limit, if you haven't
already?

-- 
Basil




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45800; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 11 Jan 2021 20:48:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 11 15:48:31 2021
Received: from localhost ([127.0.0.1]:58413 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kz471-0005Ak-QS
	for submit <at> debbugs.gnu.org; Mon, 11 Jan 2021 15:48:31 -0500
Received: from lists.gnu.org ([209.51.188.17]:46980)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <noon@HIDDEN>) id 1kz3PB-00040j-Bf
 for submit <at> debbugs.gnu.org; Mon, 11 Jan 2021 15:03:10 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:60568)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <noon@HIDDEN>) id 1kz3PA-0007Jw-Vi
 for bug-gnu-emacs@HIDDEN; Mon, 11 Jan 2021 15:03:09 -0500
Received: from mx.kolabnow.com ([95.128.36.40]:34214)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <noon@HIDDEN>) id 1kz3P6-0006F4-55
 for bug-gnu-emacs@HIDDEN; Mon, 11 Jan 2021 15:03:07 -0500
Received: from localhost (unknown [127.0.0.1])
 by ext-mx-out003.mykolab.com (Postfix) with ESMTP id 6F9FF4051F
 for <bug-gnu-emacs@HIDDEN>; Mon, 11 Jan 2021 21:02:59 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=mykolab.com; h=
 content-type:content-type:mime-version:message-id:date:date
 :subject:subject:from:from:received:received:received:received;
 s=dkim20160331; t=1610395377; x=1612209778; bh=jY26b4UIkVXVUv8r
 FxBTapy9MXI5sV3tw6LnHt0GXoQ=; b=BykSoaZBcCZy1LfVLk0qeEeuF2YuqsiK
 7sYUFJXN3Si9s+JhWwpIulpaRMHwO1xctQD7GinEseeDiu+VJZfMZi7fKECDWmU8
 QlLuv94hZ4i768s4LMtl97/FD/+fZ5IJHTP28P+D7TJZCscajJM2M12jTA5Cyf02
 l8i8PWlhDLU/zoTwdolxvFmgormaOBbrwrCBr1JT+u6r1QcFggl513+H6LiZXo2W
 SxAbQvh9qOMhIXybQyLNu84Ike6ARw5v0HVz2dPsxN9kd2m+UiFHjYiQ7b10q2Ru
 XwGShoz5qxur4hNjl8qgF6dou7AVKvMvzdGudCHZO13CeqOExLVrWJ+ITwXhP1GV
 6celBr8libpZyVoMNjqnn9Lp36TI+fGyM8piynFDMdx1wAf5aS6Wv0zQ9AT49Iie
 iXB/iTmP7eeWY6r+KOGFq2bQEN4cZtPurDIuqpkJsp5tu/csw99pwm236SlbY5xH
 W8KRg4MCt0DlSKvI6gUIY8fSwg/tvtv9L1Dt5qS/DFrM49X4jxrYrnp2m/HBfIxJ
 34aYDcXsPkD9oVYXZ7njYlyuXyEZYZoQBKlRSXBbcCZAHZGyU4gxI+IrMWAf0f53
 okkYmWwKQENqOarWwdoxNo8iw4eodiWdCAInlhjAM/oQVgoqzPBVhWTpM2QTE1FA
 6fz5KeicsqA=
X-Virus-Scanned: amavisd-new at mykolab.com
X-Spam-Flag: NO
X-Spam-Score: -1.9
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 tagged_above=-10 required=5
 tests=[BAYES_00=-1.9] autolearn=ham autolearn_force=no
Received: from mx.kolabnow.com ([127.0.0.1])
 by localhost (ext-mx-out003.mykolab.com [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id fPi0b8zMZ-lo for <bug-gnu-emacs@HIDDEN>;
 Mon, 11 Jan 2021 21:02:57 +0100 (CET)
Received: from int-mx003.mykolab.com (unknown [10.9.13.3])
 by ext-mx-out003.mykolab.com (Postfix) with ESMTPS id D577740194
 for <bug-gnu-emacs@HIDDEN>; Mon, 11 Jan 2021 21:02:56 +0100 (CET)
Received: from ext-subm002.mykolab.com (unknown [10.9.6.2])
 by int-mx003.mykolab.com (Postfix) with ESMTPS id A96FD39DC
 for <bug-gnu-emacs@HIDDEN>; Mon, 11 Jan 2021 21:02:56 +0100 (CET)
Received: from noon by asus.home with local (Exim 4.94)
 (envelope-from <noon@HIDDEN>) id 1kz3Ow-0002rV-Hf
 for bug-gnu-emacs@HIDDEN; Mon, 11 Jan 2021 21:02:54 +0100
From: Fabrice BAUZAC-STEHLY <noon@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 27.1; ibuffer sort by filename/process fails with Dired
Date: Mon, 11 Jan 2021 21:02:54 +0100
Message-ID: <87wnwjfdht.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: pass client-ip=95.128.36.40; envelope-from=noon@HIDDEN;
 helo=mx.kolabnow.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Mon, 11 Jan 2021 15:48:26 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

Hello,

In ibuffer, the sort by filename/process (s f) does not sort according
to the (useful) displayed filename/process column.

To reproduce:

mkdir test
cd test
(a=b; for i in {1..3}; do mkdir $a; touch $a/a; a+=/b; done)
find
emacs -Q `find`
C-x 1
M-x ibuffer RET
s f

The result is that the dired buffers are grouped together, and the files
are grouped together, while they should be interspersed according to
lexicographical order of their "filename/process" column.

Looking at the sorter in ibuf-ext.el:

(define-ibuffer-sorter filename/process
 "Sort the buffers by their file name/process name."
  (:description "file name")
  (string-lessp
   ;; FIXME: For now just compare the file name and the process name
   ;; (if it exists).  Is there a better way to do this?
   (or (buffer-file-name (car a))
       (let ((pr-a (get-buffer-process (car a))))
	 (and (processp pr-a) (process-name pr-a))))
   (or (buffer-file-name (car b))
       (let ((pr-b (get-buffer-process (car b))))
	 (and (processp pr-b) (process-name pr-b))))))

To fix this on my side, I have replaced both occurrences of
  (buffer-file-name (car X))
with
  (with-current-buffer (car X) (ibuffer-buffer-file-name))
which seems to work:

(define-ibuffer-sorter filename/process
 "Sort the buffers by their file name/process name."
  (:description "file name")
  (string-lessp
   ;; FIXME: For now just compare the file name and the process name
   ;; (if it exists).  Is there a better way to do this?
   (or (with-current-buffer (car a) (ibuffer-buffer-file-name))
       (let ((pr-a (get-buffer-process (car a))))
	 (and (processp pr-a) (process-name pr-a))))
   (or (with-current-buffer (car b) (ibuffer-buffer-file-name))
       (let ((pr-b (get-buffer-process (car b))))
	 (and (processp pr-b) (process-name pr-b))))))

In GNU Emacs 27.1 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.23, cairo version 1.16.0)
 of 2020-11-08, modified by Debian built on x86-ubc-01
Windowing system distributor 'The X.Org Foundation', version 11.0.12010000
System Description: Debian GNU/Linux bullseye/sid

Recent messages:
Quit [2 times]
C-x C-g is undefined
Making completion list...
Quit
Mark saved where search started
Auto-saving...done
Making completion list...
Quit
Mark set
Making completion list...

Configured using:
 'configure --build x86_64-linux-gnu --prefix=/usr
 --sharedstatedir=/var/lib --libexecdir=/usr/lib
 --localstatedir=/var/lib --infodir=/usr/share/info
 --mandir=/usr/share/man --enable-libsystemd --with-pop=yes
 --enable-locallisppath=/etc/emacs:/usr/local/share/emacs/27.1/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/27.1/site-lisp:/usr/share/emacs/site-lisp
 --with-sound=alsa --without-gconf --with-mailutils --build
 x86_64-linux-gnu --prefix=/usr --sharedstatedir=/var/lib
 --libexecdir=/usr/lib --localstatedir=/var/lib
 --infodir=/usr/share/info --mandir=/usr/share/man --enable-libsystemd
 --with-pop=yes
 --enable-locallisppath=/etc/emacs:/usr/local/share/emacs/27.1/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/27.1/site-lisp:/usr/share/emacs/site-lisp
 --with-sound=alsa --without-gconf --with-mailutils --with-cairo
 --with-x=yes --with-x-toolkit=gtk3 --with-toolkit-scroll-bars
 'CFLAGS=-g -O2
 -fdebug-prefix-map=/build/emacs-6jKC2B/emacs-27.1+1=. -fstack-protector-strong
 -Wformat -Werror=format-security -Wall' 'CPPFLAGS=-Wdate-time
 -D_FORTIFY_SOURCE=2' LDFLAGS=-Wl,-z,relro'

Configured features:
XPM JPEG TIFF GIF PNG RSVG CAIRO SOUND GPM DBUS GSETTINGS GLIB NOTIFY
INOTIFY ACL LIBSELINUX GNUTLS LIBXML2 FREETYPE HARFBUZZ M17N_FLT LIBOTF
ZLIB TOOLKIT_SCROLL_BARS GTK3 X11 XDBE XIM MODULES THREADS LIBSYSTEMD
JSON PDUMPER LCMS2 GMP

Important settings:
  value of $LC_ALL: C
  value of $LC_MONETARY: fr_FR.UTF-8
  value of $LC_NUMERIC: fr_FR.UTF-8
  value of $LC_TIME: fr_FR.UTF-8
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=ibus
  locale-coding-system: nil

Major mode: Emacs-Lisp

Minor modes in effect:
  global-magit-file-mode: t
  magit-auto-revert-mode: t
  global-git-commit-mode: t
  async-bytecomp-package-mode: t
  shell-dirtrack-mode: t
  show-paren-mode: t
  electric-pair-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  global-prettify-symbols-mode: t
  prettify-symbols-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
/usr/share/emacs/site-lisp/llvm-11/tablegen-mode hides /usr/share/emacs/site-lisp/llvm-9/tablegen-mode
/usr/share/emacs/site-lisp/llvm-11/llvm-mode hides /usr/share/emacs/site-lisp/llvm-9/llvm-mode
/usr/share/emacs/site-lisp/llvm-11/emacs hides /usr/share/emacs/site-lisp/llvm-9/emacs
/home/noon/.emacs.d/elpa/dash-20190814.2006/dash hides /usr/share/emacs/site-lisp/elpa/dash-2.17.0/dash
/home/noon/.emacs.d/elpa/dash-20190814.2006/dash-pkg hides /usr/share/emacs/site-lisp/elpa/dash-2.17.0/dash-pkg
/home/noon/.emacs.d/elpa/dash-20190814.2006/dash-autoloads hides /usr/share/emacs/site-lisp/elpa/dash-2.17.0/dash-autoloads
/usr/share/emacs/site-lisp/elpa/debian-el-37/debian-autoloads hides /usr/share/emacs/site-lisp/elpa/dpkg-dev-el-37.0/debian-autoloads
/home/noon/.emacs.d/elpa/git-commit-20190717.29/git-commit hides /usr/share/emacs/site-lisp/elpa/git-commit-2.99.0/git-commit
/home/noon/.emacs.d/elpa/git-commit-20190717.29/git-commit-pkg hides /usr/share/emacs/site-lisp/elpa/git-commit-2.99.0/git-commit-pkg
/home/noon/.emacs.d/elpa/git-commit-20190717.29/git-commit-autoloads hides /usr/share/emacs/site-lisp/elpa/git-commit-2.99.0/git-commit-autoloads
/home/noon/.emacs.d/elpa/magit-20190902.1343/magit-worktree hides /usr/share/emacs/site-lisp/elpa/magit-2.99.0/magit-worktree
/home/noon/.emacs.d/elpa/magit-20190902.1343/magit-wip hides /usr/share/emacs/site-lisp/elpa/magit-2.99.0/magit-wip
/home/noon/.emacs.d/elpa/magit-20190902.1343/magit-utils hides /usr/share/emacs/site-lisp/elpa/magit-2.99.0/magit-utils
/home/noon/.emacs.d/elpa/magit-20190902.1343/magit-transient hides /usr/share/emacs/site-lisp/elpa/magit-2.99.0/magit-transient
/home/noon/.emacs.d/elpa/magit-20190902.1343/magit-tag hides /usr/share/emacs/site-lisp/elpa/magit-2.99.0/magit-tag
/home/noon/.emacs.d/elpa/magit-20190902.1343/magit-subtree hides /usr/share/emacs/site-lisp/elpa/magit-2.99.0/magit-subtree
/home/noon/.emacs.d/elpa/magit-20190902.1343/magit-submodule hides /usr/share/emacs/site-lisp/elpa/magit-2.99.0/magit-submodule
/home/noon/.emacs.d/elpa/magit-20190902.1343/magit-status hides /usr/share/emacs/site-lisp/elpa/magit-2.99.0/magit-status
/home/noon/.emacs.d/elpa/magit-20190902.1343/magit-stash hides /usr/share/emacs/site-lisp/elpa/magit-2.99.0/magit-stash
/home/noon/.emacs.d/elpa/magit-20190902.1343/magit-sequence hides /usr/share/emacs/site-lisp/elpa/magit-2.99.0/magit-sequence
/home/noon/.emacs.d/elpa/magit-20190902.1343/magit-section hides /usr/share/emacs/site-lisp/elpa/magit-2.99.0/magit-section
/home/noon/.emacs.d/elpa/magit-20190902.1343/magit-reset hides /usr/share/emacs/site-lisp/elpa/magit-2.99.0/magit-reset
/home/noon/.emacs.d/elpa/magit-20190902.1343/magit-repos hides /usr/share/emacs/site-lisp/elpa/magit-2.99.0/magit-repos
/home/noon/.emacs.d/elpa/magit-20190902.1343/magit-remote hides /usr/share/emacs/site-lisp/elpa/magit-2.99.0/magit-remote
/home/noon/.emacs.d/elpa/magit-20190902.1343/magit-refs hides /usr/share/emacs/site-lisp/elpa/magit-2.99.0/magit-refs
/home/noon/.emacs.d/elpa/magit-20190902.1343/magit-reflog hides /usr/share/emacs/site-lisp/elpa/magit-2.99.0/magit-reflog
/home/noon/.emacs.d/elpa/magit-20190902.1343/magit-push hides /usr/share/emacs/site-lisp/elpa/magit-2.99.0/magit-push
/home/noon/.emacs.d/elpa/magit-20190902.1343/magit-pull hides /usr/share/emacs/site-lisp/elpa/magit-2.99.0/magit-pull
/home/noon/.emacs.d/elpa/magit-20190902.1343/magit-process hides /usr/share/emacs/site-lisp/elpa/magit-2.99.0/magit-process
/home/noon/.emacs.d/elpa/magit-20190902.1343/magit-pkg hides /usr/share/emacs/site-lisp/elpa/magit-2.99.0/magit-pkg
/home/noon/.emacs.d/elpa/magit-20190902.1343/magit-patch hides /usr/share/emacs/site-lisp/elpa/magit-2.99.0/magit-patch
/home/noon/.emacs.d/elpa/magit-20190902.1343/magit-obsolete hides /usr/share/emacs/site-lisp/elpa/magit-2.99.0/magit-obsolete
/home/noon/.emacs.d/elpa/magit-20190902.1343/magit-notes hides /usr/share/emacs/site-lisp/elpa/magit-2.99.0/magit-notes
/home/noon/.emacs.d/elpa/magit-20190902.1343/magit-mode hides /usr/share/emacs/site-lisp/elpa/magit-2.99.0/magit-mode
/home/noon/.emacs.d/elpa/magit-20190902.1343/magit-merge hides /usr/share/emacs/site-lisp/elpa/magit-2.99.0/magit-merge
/home/noon/.emacs.d/elpa/magit-20190902.1343/magit-margin hides /usr/share/emacs/site-lisp/elpa/magit-2.99.0/magit-margin
/home/noon/.emacs.d/elpa/magit-20190902.1343/magit-log hides /usr/share/emacs/site-lisp/elpa/magit-2.99.0/magit-log
/home/noon/.emacs.d/elpa/magit-20190902.1343/magit-imenu hides /usr/share/emacs/site-lisp/elpa/magit-2.99.0/magit-imenu
/home/noon/.emacs.d/elpa/magit-20190902.1343/magit-gitignore hides /usr/share/emacs/site-lisp/elpa/magit-2.99.0/magit-gitignore
/home/noon/.emacs.d/elpa/magit-20190902.1343/magit-git hides /usr/share/emacs/site-lisp/elpa/magit-2.99.0/magit-git
/home/noon/.emacs.d/elpa/magit-20190902.1343/magit-files hides /usr/share/emacs/site-lisp/elpa/magit-2.99.0/magit-files
/home/noon/.emacs.d/elpa/magit-20190902.1343/magit-fetch hides /usr/share/emacs/site-lisp/elpa/magit-2.99.0/magit-fetch
/home/noon/.emacs.d/elpa/magit-20190902.1343/magit-extras hides /usr/share/emacs/site-lisp/elpa/magit-2.99.0/magit-extras
/home/noon/.emacs.d/elpa/magit-20190902.1343/magit hides /usr/share/emacs/site-lisp/elpa/magit-2.99.0/magit
/home/noon/.emacs.d/elpa/magit-20190902.1343/magit-ediff hides /usr/share/emacs/site-lisp/elpa/magit-2.99.0/magit-ediff
/home/noon/.emacs.d/elpa/magit-20190902.1343/magit-diff hides /usr/share/emacs/site-lisp/elpa/magit-2.99.0/magit-diff
/home/noon/.emacs.d/elpa/magit-20190902.1343/magit-core hides /usr/share/emacs/site-lisp/elpa/magit-2.99.0/magit-core
/home/noon/.emacs.d/elpa/magit-20190902.1343/magit-commit hides /usr/share/emacs/site-lisp/elpa/magit-2.99.0/magit-commit
/home/noon/.emacs.d/elpa/magit-20190902.1343/magit-clone hides /usr/share/emacs/site-lisp/elpa/magit-2.99.0/magit-clone
/home/noon/.emacs.d/elpa/magit-20190902.1343/magit-branch hides /usr/share/emacs/site-lisp/elpa/magit-2.99.0/magit-branch
/home/noon/.emacs.d/elpa/magit-20190902.1343/magit-bookmark hides /usr/share/emacs/site-lisp/elpa/magit-2.99.0/magit-bookmark
/home/noon/.emacs.d/elpa/magit-20190902.1343/magit-blame hides /usr/share/emacs/site-lisp/elpa/magit-2.99.0/magit-blame
/home/noon/.emacs.d/elpa/magit-20190902.1343/magit-bisect hides /usr/share/emacs/site-lisp/elpa/magit-2.99.0/magit-bisect
/home/noon/.emacs.d/elpa/magit-20190902.1343/magit-autorevert hides /usr/share/emacs/site-lisp/elpa/magit-2.99.0/magit-autorevert
/home/noon/.emacs.d/elpa/magit-20190902.1343/magit-apply hides /usr/share/emacs/site-lisp/elpa/magit-2.99.0/magit-apply
/home/noon/.emacs.d/elpa/magit-20190902.1343/git-rebase hides /usr/share/emacs/site-lisp/elpa/magit-2.99.0/git-rebase
/home/noon/.emacs.d/elpa/magit-20190902.1343/magit-autoloads hides /usr/share/emacs/site-lisp/elpa/magit-2.99.0/magit-autoloads
/home/noon/.emacs.d/elpa/transient-20190831.802/transient hides /usr/share/emacs/site-lisp/elpa/transient-0.2.0.30/transient
/home/noon/.emacs.d/elpa/transient-20190831.802/transient-pkg hides /usr/share/emacs/site-lisp/elpa/transient-0.2.0.30/transient-pkg
/home/noon/.emacs.d/elpa/transient-20190831.802/transient-autoloads hides /usr/share/emacs/site-lisp/elpa/transient-0.2.0.30/transient-autoloads
/home/noon/.emacs.d/elpa/with-editor-20190715.2007/with-editor-pkg hides /usr/share/emacs/site-lisp/elpa/with-editor-3.0.2/with-editor-pkg
/home/noon/.emacs.d/elpa/with-editor-20190715.2007/with-editor hides /usr/share/emacs/site-lisp/elpa/with-editor-3.0.2/with-editor
/home/noon/.emacs.d/elpa/with-editor-20190715.2007/with-editor-autoloads hides /usr/share/emacs/site-lisp/elpa/with-editor-3.0.2/with-editor-autoloads
/home/noon/.emacs.d/elpa/yaml-mode-20170727.1531/yaml-mode hides /usr/share/emacs/site-lisp/elpa/yaml-mode-0.0.15/yaml-mode
/home/noon/.emacs.d/elpa/yaml-mode-20170727.1531/yaml-mode-pkg hides /usr/share/emacs/site-lisp/elpa/yaml-mode-0.0.15/yaml-mode-pkg
/home/noon/.emacs.d/elpa/yaml-mode-20170727.1531/yaml-mode-autoloads hides /usr/share/emacs/site-lisp/elpa/yaml-mode-0.0.15/yaml-mode-autoloads
/home/noon/.emacs.d/elpa/dash-20190814.2006/dash hides /usr/share/emacs/site-lisp/elpa-src/dash-2.17.0/dash
/home/noon/.emacs.d/elpa/dash-20190814.2006/dash-pkg hides /usr/share/emacs/site-lisp/elpa-src/dash-2.17.0/dash-pkg
/home/noon/.emacs.d/elpa/dash-20190814.2006/dash-autoloads hides /usr/share/emacs/site-lisp/elpa-src/dash-2.17.0/dash-autoloads
/usr/share/emacs/site-lisp/elpa/debian-el-37/preseed hides /usr/share/emacs/site-lisp/elpa-src/debian-el-37/preseed
/usr/share/emacs/site-lisp/elpa/debian-el-37/gnus-BTS hides /usr/share/emacs/site-lisp/elpa-src/debian-el-37/gnus-BTS
/usr/share/emacs/site-lisp/elpa/debian-el-37/debian-el hides /usr/share/emacs/site-lisp/elpa-src/debian-el-37/debian-el
/usr/share/emacs/site-lisp/elpa/debian-el-37/debian-el-pkg hides /usr/share/emacs/site-lisp/elpa-src/debian-el-37/debian-el-pkg
/usr/share/emacs/site-lisp/elpa/debian-el-37/debian-el-autoloads hides /usr/share/emacs/site-lisp/elpa-src/debian-el-37/debian-el-autoloads
/usr/share/emacs/site-lisp/elpa/debian-el-37/debian-bug hides /usr/share/emacs/site-lisp/elpa-src/debian-el-37/debian-bug
/usr/share/emacs/site-lisp/elpa/debian-el-37/debian-autoloads hides /usr/share/emacs/site-lisp/elpa-src/debian-el-37/debian-autoloads
/usr/share/emacs/site-lisp/elpa/debian-el-37/deb-view hides /usr/share/emacs/site-lisp/elpa-src/debian-el-37/deb-view
/usr/share/emacs/site-lisp/elpa/debian-el-37/apt-utils hides /usr/share/emacs/site-lisp/elpa-src/debian-el-37/apt-utils
/usr/share/emacs/site-lisp/elpa/debian-el-37/apt-sources hides /usr/share/emacs/site-lisp/elpa-src/debian-el-37/apt-sources
/usr/share/emacs/site-lisp/elpa/dockerfile-mode-1.2/dockerfile-mode hides /usr/share/emacs/site-lisp/elpa-src/dockerfile-mode-1.2/dockerfile-mode
/usr/share/emacs/site-lisp/elpa/dockerfile-mode-1.2/dockerfile-mode-pkg hides /usr/share/emacs/site-lisp/elpa-src/dockerfile-mode-1.2/dockerfile-mode-pkg
/usr/share/emacs/site-lisp/elpa/dockerfile-mode-1.2/dockerfile-mode-autoloads hides /usr/share/emacs/site-lisp/elpa-src/dockerfile-mode-1.2/dockerfile-mode-autoloads
/usr/share/emacs/site-lisp/elpa/dpkg-dev-el-37.0/readme-debian hides /usr/share/emacs/site-lisp/elpa-src/dpkg-dev-el-37.0/readme-debian
/usr/share/emacs/site-lisp/elpa/dpkg-dev-el-37.0/dpkg-dev-el hides /usr/share/emacs/site-lisp/elpa-src/dpkg-dev-el-37.0/dpkg-dev-el
/usr/share/emacs/site-lisp/elpa/dpkg-dev-el-37.0/dpkg-dev-el-pkg hides /usr/share/emacs/site-lisp/elpa-src/dpkg-dev-el-37.0/dpkg-dev-el-pkg
/usr/share/emacs/site-lisp/elpa/dpkg-dev-el-37.0/dpkg-dev-el-autoloads hides /usr/share/emacs/site-lisp/elpa-src/dpkg-dev-el-37.0/dpkg-dev-el-autoloads
/usr/share/emacs/site-lisp/elpa/dpkg-dev-el-37.0/debian-copyright hides /usr/share/emacs/site-lisp/elpa-src/dpkg-dev-el-37.0/debian-copyright
/usr/share/emacs/site-lisp/elpa/dpkg-dev-el-37.0/debian-control-mode hides /usr/share/emacs/site-lisp/elpa-src/dpkg-dev-el-37.0/debian-control-mode
/usr/share/emacs/site-lisp/elpa/dpkg-dev-el-37.0/debian-changelog-mode hides /usr/share/emacs/site-lisp/elpa-src/dpkg-dev-el-37.0/debian-changelog-mode
/usr/share/emacs/site-lisp/elpa/dpkg-dev-el-37.0/debian-bts-control hides /usr/share/emacs/site-lisp/elpa-src/dpkg-dev-el-37.0/debian-bts-control
/usr/share/emacs/site-lisp/elpa/debian-el-37/debian-autoloads hides /usr/share/emacs/site-lisp/elpa-src/dpkg-dev-el-37.0/debian-autoloads
/home/noon/.emacs.d/elpa/git-commit-20190717.29/git-commit hides /usr/share/emacs/site-lisp/elpa-src/git-commit-2.99.0/git-commit
/home/noon/.emacs.d/elpa/git-commit-20190717.29/git-commit-pkg hides /usr/share/emacs/site-lisp/elpa-src/git-commit-2.99.0/git-commit-pkg
/home/noon/.emacs.d/elpa/git-commit-20190717.29/git-commit-autoloads hides /usr/share/emacs/site-lisp/elpa-src/git-commit-2.99.0/git-commit-autoloads
/usr/share/emacs/site-lisp/elpa/go-mode-1.5.0/go-rename hides /usr/share/emacs/site-lisp/elpa-src/go-mode-1.5.0/go-rename
/usr/share/emacs/site-lisp/elpa/go-mode-1.5.0/go-mode hides /usr/share/emacs/site-lisp/elpa-src/go-mode-1.5.0/go-mode
/usr/share/emacs/site-lisp/elpa/go-mode-1.5.0/go-mode-pkg hides /usr/share/emacs/site-lisp/elpa-src/go-mode-1.5.0/go-mode-pkg
/usr/share/emacs/site-lisp/elpa/go-mode-1.5.0/go-mode-autoloads hides /usr/share/emacs/site-lisp/elpa-src/go-mode-1.5.0/go-mode-autoloads
/usr/share/emacs/site-lisp/elpa/go-mode-1.5.0/go-guru hides /usr/share/emacs/site-lisp/elpa-src/go-mode-1.5.0/go-guru
/usr/share/emacs/site-lisp/elpa/let-alist-1.0.6/let-alist hides /usr/share/emacs/site-lisp/elpa-src/let-alist-1.0.6/let-alist
/usr/share/emacs/site-lisp/elpa/let-alist-1.0.6/let-alist-pkg hides /usr/share/emacs/site-lisp/elpa-src/let-alist-1.0.6/let-alist-pkg
/usr/share/emacs/site-lisp/elpa/let-alist-1.0.6/let-alist-autoloads hides /usr/share/emacs/site-lisp/elpa-src/let-alist-1.0.6/let-alist-autoloads
/home/noon/.emacs.d/elpa/magit-20190902.1343/magit hides /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0/magit
/home/noon/.emacs.d/elpa/magit-20190902.1343/magit-worktree hides /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0/magit-worktree
/home/noon/.emacs.d/elpa/magit-20190902.1343/magit-wip hides /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0/magit-wip
/home/noon/.emacs.d/elpa/magit-20190902.1343/magit-utils hides /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0/magit-utils
/home/noon/.emacs.d/elpa/magit-20190902.1343/magit-transient hides /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0/magit-transient
/home/noon/.emacs.d/elpa/magit-20190902.1343/magit-tag hides /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0/magit-tag
/home/noon/.emacs.d/elpa/magit-20190902.1343/magit-subtree hides /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0/magit-subtree
/home/noon/.emacs.d/elpa/magit-20190902.1343/magit-submodule hides /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0/magit-submodule
/home/noon/.emacs.d/elpa/magit-20190902.1343/magit-status hides /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0/magit-status
/home/noon/.emacs.d/elpa/magit-20190902.1343/magit-stash hides /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0/magit-stash
/home/noon/.emacs.d/elpa/magit-20190902.1343/magit-sequence hides /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0/magit-sequence
/home/noon/.emacs.d/elpa/magit-20190902.1343/magit-section hides /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0/magit-section
/home/noon/.emacs.d/elpa/magit-20190902.1343/magit-reset hides /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0/magit-reset
/home/noon/.emacs.d/elpa/magit-20190902.1343/magit-repos hides /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0/magit-repos
/home/noon/.emacs.d/elpa/magit-20190902.1343/magit-remote hides /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0/magit-remote
/home/noon/.emacs.d/elpa/magit-20190902.1343/magit-refs hides /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0/magit-refs
/home/noon/.emacs.d/elpa/magit-20190902.1343/magit-reflog hides /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0/magit-reflog
/home/noon/.emacs.d/elpa/magit-20190902.1343/magit-push hides /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0/magit-push
/home/noon/.emacs.d/elpa/magit-20190902.1343/magit-pull hides /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0/magit-pull
/home/noon/.emacs.d/elpa/magit-20190902.1343/magit-process hides /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0/magit-process
/home/noon/.emacs.d/elpa/magit-20190902.1343/magit-pkg hides /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0/magit-pkg
/home/noon/.emacs.d/elpa/magit-20190902.1343/magit-patch hides /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0/magit-patch
/home/noon/.emacs.d/elpa/magit-20190902.1343/magit-obsolete hides /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0/magit-obsolete
/home/noon/.emacs.d/elpa/magit-20190902.1343/magit-notes hides /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0/magit-notes
/home/noon/.emacs.d/elpa/magit-20190902.1343/magit-mode hides /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0/magit-mode
/home/noon/.emacs.d/elpa/magit-20190902.1343/magit-merge hides /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0/magit-merge
/home/noon/.emacs.d/elpa/magit-20190902.1343/magit-margin hides /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0/magit-margin
/home/noon/.emacs.d/elpa/magit-20190902.1343/magit-log hides /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0/magit-log
/home/noon/.emacs.d/elpa/magit-20190902.1343/magit-imenu hides /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0/magit-imenu
/home/noon/.emacs.d/elpa/magit-20190902.1343/magit-gitignore hides /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0/magit-gitignore
/home/noon/.emacs.d/elpa/magit-20190902.1343/magit-git hides /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0/magit-git
/home/noon/.emacs.d/elpa/magit-20190902.1343/magit-files hides /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0/magit-files
/home/noon/.emacs.d/elpa/magit-20190902.1343/magit-fetch hides /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0/magit-fetch
/home/noon/.emacs.d/elpa/magit-20190902.1343/magit-extras hides /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0/magit-extras
/home/noon/.emacs.d/elpa/magit-20190902.1343/magit-ediff hides /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0/magit-ediff
/home/noon/.emacs.d/elpa/magit-20190902.1343/magit-diff hides /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0/magit-diff
/home/noon/.emacs.d/elpa/magit-20190902.1343/magit-core hides /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0/magit-core
/home/noon/.emacs.d/elpa/magit-20190902.1343/magit-commit hides /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0/magit-commit
/home/noon/.emacs.d/elpa/magit-20190902.1343/magit-clone hides /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0/magit-clone
/home/noon/.emacs.d/elpa/magit-20190902.1343/magit-branch hides /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0/magit-branch
/home/noon/.emacs.d/elpa/magit-20190902.1343/magit-bookmark hides /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0/magit-bookmark
/home/noon/.emacs.d/elpa/magit-20190902.1343/magit-blame hides /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0/magit-blame
/home/noon/.emacs.d/elpa/magit-20190902.1343/magit-bisect hides /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0/magit-bisect
/home/noon/.emacs.d/elpa/magit-20190902.1343/magit-autorevert hides /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0/magit-autorevert
/home/noon/.emacs.d/elpa/magit-20190902.1343/magit-autoloads hides /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0/magit-autoloads
/home/noon/.emacs.d/elpa/magit-20190902.1343/magit-apply hides /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0/magit-apply
/home/noon/.emacs.d/elpa/magit-20190902.1343/git-rebase hides /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0/git-rebase
/usr/share/emacs/site-lisp/elpa/pdf-tools-1.0/pdf-virtual hides /usr/share/emacs/site-lisp/elpa-src/pdf-tools-1.0/pdf-virtual
/usr/share/emacs/site-lisp/elpa/pdf-tools-1.0/pdf-view hides /usr/share/emacs/site-lisp/elpa-src/pdf-tools-1.0/pdf-view
/usr/share/emacs/site-lisp/elpa/pdf-tools-1.0/pdf-util hides /usr/share/emacs/site-lisp/elpa-src/pdf-tools-1.0/pdf-util
/usr/share/emacs/site-lisp/elpa/pdf-tools-1.0/pdf-tools hides /usr/share/emacs/site-lisp/elpa-src/pdf-tools-1.0/pdf-tools
/usr/share/emacs/site-lisp/elpa/pdf-tools-1.0/pdf-tools-pkg hides /usr/share/emacs/site-lisp/elpa-src/pdf-tools-1.0/pdf-tools-pkg
/usr/share/emacs/site-lisp/elpa/pdf-tools-1.0/pdf-tools-autoloads hides /usr/share/emacs/site-lisp/elpa-src/pdf-tools-1.0/pdf-tools-autoloads
/usr/share/emacs/site-lisp/elpa/pdf-tools-1.0/pdf-sync hides /usr/share/emacs/site-lisp/elpa-src/pdf-tools-1.0/pdf-sync
/usr/share/emacs/site-lisp/elpa/pdf-tools-1.0/pdf-outline hides /usr/share/emacs/site-lisp/elpa-src/pdf-tools-1.0/pdf-outline
/usr/share/emacs/site-lisp/elpa/pdf-tools-1.0/pdf-occur hides /usr/share/emacs/site-lisp/elpa-src/pdf-tools-1.0/pdf-occur
/usr/share/emacs/site-lisp/elpa/pdf-tools-1.0/pdf-misc hides /usr/share/emacs/site-lisp/elpa-src/pdf-tools-1.0/pdf-misc
/usr/share/emacs/site-lisp/elpa/pdf-tools-1.0/pdf-loader hides /usr/share/emacs/site-lisp/elpa-src/pdf-tools-1.0/pdf-loader
/usr/share/emacs/site-lisp/elpa/pdf-tools-1.0/pdf-links hides /usr/share/emacs/site-lisp/elpa-src/pdf-tools-1.0/pdf-links
/usr/share/emacs/site-lisp/elpa/pdf-tools-1.0/pdf-isearch hides /usr/share/emacs/site-lisp/elpa-src/pdf-tools-1.0/pdf-isearch
/usr/share/emacs/site-lisp/elpa/pdf-tools-1.0/pdf-info hides /usr/share/emacs/site-lisp/elpa-src/pdf-tools-1.0/pdf-info
/usr/share/emacs/site-lisp/elpa/pdf-tools-1.0/pdf-history hides /usr/share/emacs/site-lisp/elpa-src/pdf-tools-1.0/pdf-history
/usr/share/emacs/site-lisp/elpa/pdf-tools-1.0/pdf-dev hides /usr/share/emacs/site-lisp/elpa-src/pdf-tools-1.0/pdf-dev
/usr/share/emacs/site-lisp/elpa/pdf-tools-1.0/pdf-cache hides /usr/share/emacs/site-lisp/elpa-src/pdf-tools-1.0/pdf-cache
/usr/share/emacs/site-lisp/elpa/pdf-tools-1.0/pdf-annot hides /usr/share/emacs/site-lisp/elpa-src/pdf-tools-1.0/pdf-annot
/usr/share/emacs/site-lisp/elpa/rust-mode-0.3.0/rust-mode hides /usr/share/emacs/site-lisp/elpa-src/rust-mode-0.3.0/rust-mode
/usr/share/emacs/site-lisp/elpa/rust-mode-0.3.0/rust-mode-pkg hides /usr/share/emacs/site-lisp/elpa-src/rust-mode-0.3.0/rust-mode-pkg
/usr/share/emacs/site-lisp/elpa/rust-mode-0.3.0/rust-mode-autoloads hides /usr/share/emacs/site-lisp/elpa-src/rust-mode-0.3.0/rust-mode-autoloads
/usr/share/emacs/site-lisp/elpa/tablist-1.0/tablist hides /usr/share/emacs/site-lisp/elpa-src/tablist-1.0/tablist
/usr/share/emacs/site-lisp/elpa/tablist-1.0/tablist-pkg hides /usr/share/emacs/site-lisp/elpa-src/tablist-1.0/tablist-pkg
/usr/share/emacs/site-lisp/elpa/tablist-1.0/tablist-filter hides /usr/share/emacs/site-lisp/elpa-src/tablist-1.0/tablist-filter
/usr/share/emacs/site-lisp/elpa/tablist-1.0/tablist-autoloads hides /usr/share/emacs/site-lisp/elpa-src/tablist-1.0/tablist-autoloads
/home/noon/.emacs.d/elpa/transient-20190831.802/transient hides /usr/share/emacs/site-lisp/elpa-src/transient-0.2.0.30/transient
/home/noon/.emacs.d/elpa/transient-20190831.802/transient-pkg hides /usr/share/emacs/site-lisp/elpa-src/transient-0.2.0.30/transient-pkg
/home/noon/.emacs.d/elpa/transient-20190831.802/transient-autoloads hides /usr/share/emacs/site-lisp/elpa-src/transient-0.2.0.30/transient-autoloads
/home/noon/.emacs.d/elpa/with-editor-20190715.2007/with-editor hides /usr/share/emacs/site-lisp/elpa-src/with-editor-3.0.2/with-editor
/home/noon/.emacs.d/elpa/with-editor-20190715.2007/with-editor-pkg hides /usr/share/emacs/site-lisp/elpa-src/with-editor-3.0.2/with-editor-pkg
/home/noon/.emacs.d/elpa/with-editor-20190715.2007/with-editor-autoloads hides /usr/share/emacs/site-lisp/elpa-src/with-editor-3.0.2/with-editor-autoloads
/home/noon/.emacs.d/elpa/yaml-mode-20170727.1531/yaml-mode hides /usr/share/emacs/site-lisp/elpa-src/yaml-mode-0.0.15/yaml-mode
/home/noon/.emacs.d/elpa/yaml-mode-20170727.1531/yaml-mode-pkg hides /usr/share/emacs/site-lisp/elpa-src/yaml-mode-0.0.15/yaml-mode-pkg
/home/noon/.emacs.d/elpa/yaml-mode-20170727.1531/yaml-mode-autoloads hides /usr/share/emacs/site-lisp/elpa-src/yaml-mode-0.0.15/yaml-mode-autoloads
/usr/share/emacs/site-lisp/elpa/let-alist-1.0.6/let-alist hides /usr/share/emacs/27.1/lisp/emacs-lisp/let-alist

Features:
(shadow sort emacsbug mail-extr executable copyright my-present
my-timeline ert pp ewoc calc-arith ibuf-macs cl-print debug backtrace
char-fold misearch multi-isearch eieio-opt speedbar sb-image ezimage
dframe help-fns radix-tree ibuf-ext ibuffer ibuffer-loaddefs dired-aux
epa-file secrets dbus tramp-cache pcase cal-china lunar solar cal-dst
cal-islam holidays hol-loaddefs vc-git appt diary-lib diary-loaddefs
find-lisp filecache my-magit magit-submodule magit-obsolete magit-popup
magit-blame magit-stash magit-reflog magit-bisect magit-push magit-pull
magit-fetch magit-clone magit-remote magit-commit magit-sequence
magit-notes magit-worktree magit-tag magit-merge magit-branch
magit-reset magit-files magit-refs magit-status magit magit-repos
magit-apply magit-wip magit-log which-func imenu magit-diff smerge-mode
diff diff-mode magit-core magit-autorevert autorevert filenotify
magit-margin magit-transient magit-process magit-mode transient
git-commit magit-git magit-section magit-utils crm log-edit pcvs-util
add-log with-editor cl-extra help-mode async-bytecomp async dash
pdf-loader my-bazel my-skeletons skeleton python tramp-sh tramp
tramp-loaddefs trampver tramp-integration files-x tramp-compat shell
ls-lisp cc-mode cc-fonts cc-guess cc-menus cc-cmds cc-styles cc-align
cc-engine cc-vars cc-defs calc-prog calc-ext calc calc-loaddefs
calc-macs paren elec-pair mu4e desktop frameset mu4e-org mu4e-main
mu4e-headers mu4e-view gnus-art mm-uu mml2015 mm-view mml-smime smime
dig gnus-sum url url-proxy url-privacy url-expand url-methods
url-history mailcap shr url-cookie url-domsuf url-util svg xml dom
gnus-group gnus-undo gnus-start gnus-cloud nnimap nnmail mail-source
utf7 netrc nnoo parse-time iso8601 gnus-spec gnus-int gnus-range
gnus-win gnus nnheader mu4e-compose mu4e-context mu4e-draft mu4e-actions
org-capture ido rfc2368 smtpmail sendmail mu4e-mark mu4e-message
flow-fill mu4e-proc mu4e-utils doc-view jka-compr image-mode exif
mu4e-lists org ob ob-tangle ob-ref ob-lob ob-table ob-exp org-macro
org-footnote org-src ob-comint org-pcomplete pcomplete comint ansi-color
ring org-list org-faces org-entities org-version ob-emacs-lisp ob-core
ob-eval org-table ol org-keys org-compat advice org-macs org-loaddefs
find-func cal-menu calendar cal-loaddefs mule-util hl-line mu4e-vars
message rmc puny dired dired-loaddefs format-spec rfc822 mml mml-sec epa
epg epg-config gnus-util rmail rmail-loaddefs text-property-search
time-date mm-decode mm-bodies mm-encode mail-parse rfc2231 rfc2047
rfc2045 mm-util ietf-drums mail-prsvr mailabbrev mail-utils gmm-utils
mailheader mu4e-meta server jira-markup-mode derived thingatpt edmacro
kmacro cl noutline outline easy-mmode cus-edit cus-start cus-load
wid-edit dpkg-dev-el info debian-el go-mode-autoloads package easymenu
browse-url url-handlers url-parse auth-source cl-seq eieio eieio-core
cl-macs eieio-loaddefs password-cache json subr-x map url-vars seq
byte-opt gv bytecomp byte-compile cconv cl-loaddefs cl-lib tooltip eldoc
electric uniquify ediff-hook vc-hooks lisp-float-type mwheel term/x-win
x-win term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame minibuffer cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite charscript charprop case-table epa-hook
jka-cmpr-hook help simple abbrev obarray cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote threads dbusbind inotify lcms2 dynamic-setting
system-font-setting font-render-setting cairo move-toolbar gtk x-toolkit
x multi-tty make-network-process emacs)

Memory information:
((conses 16 392944 65623)
 (symbols 48 35677 1)
 (strings 32 129566 6245)
 (string-bytes 1 4194337)
 (vectors 16 59039)
 (vector-slots 8 1499052 252428)
 (floats 8 865 227)
 (intervals 56 4575 554)
 (buffers 1000 27))

-- 
Fabrice Bauzac-Stehly
PGP 01EEACF8244E9C14B551C5256ADA5F189BD322B6
old PGP 015AE9B25DCB0511D200A75DE5674DEA514C891D




Acknowledgement sent to Fabrice BAUZAC-STEHLY <noon@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#45800; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 20 Jan 2021 14:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.